# Uses of Class
org.apache.lucene.util.automaton.RegExp

Packages that use RegExp
Package
Description
org.apache.lucene.util.automaton
Finite-state automaton for regular expressions.

- ## Uses of RegExp in org.apache.lucene.util.automaton

  Fields in org.apache.lucene.util.automaton declared as RegExp
  Modifier and Type
  Field
  Description
  `final RegExp`
  RegExp.`exp1`
  Child expressions held by a container type expression
  `final RegExp`
  RegExp.`exp2`
  Child expressions held by a container type expression
  Methods in org.apache.lucene.util.automaton that return RegExp
  Modifier and Type
  Method
  Description
  `RegExp`
  TooComplexToDeterminizeException.`getRegExp()`
  Return the RegExp that caused this exception if any.
  Constructors in org.apache.lucene.util.automaton with parameters of type RegExp
  Modifier
  Constructor
  Description
  ``
  `TooComplexToDeterminizeException(RegExp regExp, TooComplexToDeterminizeException cause)`
  Use this constructor when the RegExp failed to convert to an automaton.